# developpement BACK-END avec notions de sécurité / sécurisation

Les résumé des point vue lors des différentes session et un résumé des failles et des solutions pour les sécuriser.

## session 1 : 

### /bak

exemple de code php correspondant à certain pseudo codes

 - variables php
 - tableaux 
 - boucles for
 - ...

### /blog   

Exemple d'un code de blog permettant d'afficher un article après connection à une base de données.

 - code mysqli pour se connecter à une base de données
 - comment se protéger des failles xss (fonction strip tags ou htmlentities)
 - comment valider un champ avec une expression rationnelle

## session 2 : 

### /blog

Exemple d'un code de blog permettant d'afficher un article après connection à une base de données.

 - code mysqli pour inserer des enregistrements
 - comment se protéger des injections SQL (en utilisant des requêtes préparées)
 - en exercice : modifier index.php pour faire pourvoir permettre à un internaute de poster un commentaire.

## pour résumer :

 - XSS ou "Cross Site Scripting" = le fait d'injecter du JS dans des champs de saisie pour exécuter du code sur le navigateur client. On s'en protège en supprimant les tags html, soit tous, soit plus finement en limitant ceux autorisés par exemple).
 - Injections SQL = le fait d'injecter du code SQL dans les champs de saisie en espérant que ce code soit exécté par le moteur de bases de données. On s'en protège en "escapant" les zones saisies ou en forçant les type. Mais plus cimplement en utilisant des requêtes préparée et en laissant la librairie (mysqli pour php) ou l'ORM ou le framework faire le travail à notre place.
